## helma.doc
Class DocProperties

    java.lang.Object
      helma.doc.DocElement
          helma.doc.DocResourceElement
              helma.doc.DocProperties

    public class DocProperties

extends DocResourceElement

Documentation around a properties file

Field Summary

Fields inherited from class helma.doc.DocResourceElement
`resource`

Fields inherited from class helma.doc.DocElement
`ACTION, APPLICATION, FUNCTION, MACRO, PROPERTIES, PROTOTYPE, SKIN, TEMPLATE, typeNames`

Constructor Summary
`protected` `DocProperties(Resource res, ResourceProperties props, int index, DocElement parent)`

Method Summary
`java.lang.String` `getComment()` returns the comment string, empty string if no comment is set.
`java.lang.String` `getElementName()` from helma.framework.IPathElement.
`java.util.Properties` `getMappings()`
`ResourceProperties` `getProperties()` Get the underlying properties
`java.lang.String` `getPrototype()` from helma.framework.IPathElement.

Methods inherited from class helma.doc.DocResourceElement
`getStartLine, toString`

Methods inherited from class helma.doc.DocElement
`addChild, addParameter, addTag, countChildren, debug, getChildElement, getChildren, getContent, getDocApplication, getName, getParentElement, getType, getTypeName, hasParameter, listChildren, listParameters, listTags, listTags, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocProperties

    protected DocProperties(Resource res,
                            ResourceProperties props,
                            int index,
                            DocElement parent)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getProperties

    public ResourceProperties getProperties()

  Get the underlying properties

  Returns:
    the properties

### getElementName

    public java.lang.String getElementName()

  Description copied from class: `DocElement`
  from helma.framework.IPathElement. Elements are named like this: typename_name

  Overrides:
    `getElementName` in class `DocElement`

### getComment

    public java.lang.String getComment()

  returns the comment string, empty string if no comment is set.

  Overrides:
    `getComment` in class `DocElement`

### getMappings

    public java.util.Properties getMappings()

  Returns:
    ...

### getPrototype

    public java.lang.String getPrototype()

  from helma.framework.IPathElement. Use the same prototype as functions etc.

  Overrides:
    `getPrototype` in class `DocElement`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.